%define rocsgraphtheory_major 0
%define librocsgraphtheory %mklibname rocsgraphtheory %{rocsgraphtheory_major}
%define devel %mklibname %{name} -d

Name: rocs
Summary: Graph Editor and a Programming Environement
Version: 23.08.5
Release: %mkrel 1
Group: Graphical desktop/KDE5
License: GPLv2 and LGPLv2 and GFDL
URL: http://www.kde.org/applications/education/rocs/
Source: http://download.kde.org/stable/%version/src/%name-%version.tar.xz

BuildRequires: kf5-macros
BuildRequires: libxml2-utils
BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: cmake 
BuildRequires: lib64boost-devel
BuildRequires: lib64grantlee-devel 
BuildRequires: lib64kconfig-devel 
BuildRequires: lib64kcoreaddons-devel 
BuildRequires: lib64kf5archive-devel 
BuildRequires: lib64kf5completion-devel 
BuildRequires: lib64kf5configwidgets-devel 
BuildRequires: lib64kf5crash-devel 
BuildRequires: lib64kf5declarative-devel 
BuildRequires: lib64kf5i18n-devel 
BuildRequires: lib64kf5parts-devel 
BuildRequires: lib64kf5service-devel 
BuildRequires: lib64kf5sonnetui-devel 
BuildRequires: lib64kf5texteditor-devel 
BuildRequires: lib64kf5textwidgets-devel 
BuildRequires: lib64kf5widgetsaddons-devel 
BuildRequires: lib64kf5xmlgui-devel 
BuildRequires: lib64kitemviews-devel 
BuildRequires: lib64qt5core-devel 
BuildRequires: lib64qt5gui-devel 
BuildRequires: lib64qt5network-devel 
BuildRequires: lib64qt5qml-devel 
BuildRequires: lib64qt5quick5 
BuildRequires: lib64qt5quick-devel 
BuildRequires: lib64qt5quickwidgets-devel 
BuildRequires: lib64qt5script-devel 
BuildRequires: lib64qt5xml-devel 
BuildRequires: lib64qt5xmlpatterns-devel 
BuildRequires: lib64qt5xmlpatterns5 
BuildRequires: mesa-devel 
BuildRequires: qtbase5-common-devel 

%description
Rocs aims to be a Graph Theory IDE for helping professors to show the results
of a graph algorithm and also helping students to do the algorithms.
Rocs has a scripting module, done in Qt Script, that interacts with the drawn
graph and every change in the graph with the script is reflected on the drawn
one.

%files
%_kf5_bindir/rocs
%_kf5_datadir/applications/*.desktop
%_kf5_datadir/metainfo
%_kf5_datadir/config.kcfg/rocs.kcfg
%_kf5_datadir/rocs
%_kf5_iconsdir/hicolor/scalable/apps/rocs.svgz
%_qt5_plugindir/rocs
%_iconsdir/*/*/*/*
%_kf5_datadir/kxmlgui5/rocs
%_kf5_libdir/librocsgraphtheory.so.%{rocsgraphtheory_major}*
%_kf5_datadir/locale
#------------------------------------------------------------------------------

%package handbook
Summary: %name handbook
Requires:  %name
BuildArch: noarch
Group: Documentation

%description handbook
This package provides %name handbook.

%files handbook
%doc %_kf5_docdir/HTML

#------------------------------------------------------------------------------

%package %devel
Summary: Devel stuff for %{name}
Group: Development/Libraries
Requires: %name

%description  %devel
Files needed to build applications based on %{name}.

%files %devel
%_includedir/rocs
%_kf5_libdir/*.so

#------------------------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

%build
export CFLAGS="$CFLAGS -O3 -pipe -ffast-math"
%cmake_kf5 -GNinja 
%ninja_build

%install
rm -rf %buildroot
%ninja_install -C build


%changelog
* Thu Feb 15 2024 tex - 23.08.5-1pclos2024
- new version

* Fri Dec 08 2023 tex - 23.08.4-1pclos2023
- new version

* Thu Nov 09 2023 tex - 23.08.3-1pclos2023
- new version

* Thu Oct 12 2023 tex - 23.08.2-1pclos2023
- new version

